%define upstream_name MooseX-CoercePerAttribute
%define upstream_version 1.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Define Coercions per attribute
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Test::Most) >= 0.310.0
BuildArch:  noarch

%description
MooseX::CoercePerAttribute is a simple Moose Trait to allow you to
define inline coercions per attribute.

This module allows for coercions to be declared on a per attribute
bases. Accepting either an array of Code refs of the coercion to be run
or an HashRef of various arguments to create a coercion routine from.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.1.0-9.mga10
+ Revision: 2199937
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.1.0-8.mga9
+ Revision: 1804681
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-7.mga8
+ Revision: 1495652
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-6.mga7
+ Revision: 1269594
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-5.mga6
+ Revision: 1030336
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.1.0-4.mga6
+ Revision: 938490
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 745609
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-2.mga5
+ Revision: 685527
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.1.0-1.mga5
+ Revision: 614888
- update to 1.001

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 532364
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 sander85 <sander85> 1.0.0-1.mga4
+ Revision: 468167
- imported package perl-MooseX-CoercePerAttribute

